=============================================================================
A brief description of the format of the horizontal section save files (*.hs)
=============================================================================

(If the following description is too cryptic, have a look at the program
 util/hs2ieee.F which converts these files to raw IEEE format, to get an idea
 of how to read horizontal section save files)

C
C For the levels designated using SAVEL, section data is saved using
C unit number IUAHS. The physical space representations of the four
C prognostic fields (T,u,v,q) are saved for each sample at the designated
C level.
C The horizontal section save file is in
C direct-access IEEE format. Each record contains the value of one
C quantity at a particular level. Successive records contain values
C of different quantities at the same level, ordered T,u,v,q,
C tracer1,tracer2,... The levels are ordered from top to bottom.
C The first 48 bytes of each record contain a character string
C consisting of a comment (16 bytes), the date ("yyyymmdd"),
C time of day ("hhmm"), level ("??????mb"), and the quantity
C descriptor string (12 bytes). This character string is followed by
C four values of IEEE single-precision data. The first value is
C the global-mean of the quantity at that level. The next two values
C contain K1, K2 (denoting the number of longitudes and gaussian
C latitudes respectively) as floating point numbers.
C The fourth value is unused at the moment. This is followed by K1*K2
C values of IEEE single-precision data, each representing the
C deviations from the global-mean of the quantity on the gaussian grid
C at that level. The longitude varies fastest, ordered West to East,
C starting from the Greenwich meridian. The latitude circles are ordered
C from South to North.
C (Note: The first five characters of the comment contain the run name,
C        and the model year numbers range from yyyy=0000 to 9999)
C
C The following quantity descriptor strings are used:
C "T (K)", "U (M/S)", "V (M/S)", "Q (KG/KG)"
C corresponding to the Temperature (in K), the zonal component of
C velocity (in m/s), the meridional component of velocity (in m/s),
C and water vapour mass mixing ratio (in kg/kg).
C
C (Total record length= 48 + LENWRD*(4 + K1*K2) bytes)
C
C If the surface save flag SAVSRF is set, the following single-level
C quantities are also saved in the horizontal section file,
C with the 8-character level descriptor string set to "SURFACE ":
C
C "TSURF (K)", "PRECP KG/SM2", "EVAP KG/SM2", "FSURF (W/M2)",
C "OLR (W/M2)", and "ASR (W/M2)",
C corresponding to the surface temperature (in K), precipitation
C (in kg/(s*m**2)), evaporation (in kg/(s*m**2)), heat flux into
C the surface (in W/m**2), outgoing longwave radiation at the top of
C the atmosphere (in W/m**2), and the net absorbed short wave radiation
C at the top of the atmosphere (in W/m**2).
C
