# IBM/RS6000 architecture
# ***NOTE*** A C-shell script "F77" is supplied to facilitate compilation
#            of files with the ".F" extension. "F77" executes the
#            C-preprocessor on ".F" files, and then compiles them using the
#            "f77" command.
#            To use this script, an auxiliary program "cppargs.c"
#            needs to be compiled with the command
#            "cc -o cppargs cppargs.c" to create the executable "cppargs".
#            The files "F77" and "cppargs" should then be moved to an
#            appropirate "bin" directory, so that they may be invoked as
#            commands in the makefiles.
#
# Architecture/operating system dependent options
# (For REAL*4, INTEGER*4 default word sizes)

LIBDIR=${HOME}/local/lib/${ARCH} 
                                             # Default library directory
FC= F77 -L${LIBDIR}
                                             # Fortran compile command
CPPOPT= -DON_RS6K -DLENWRD=4
                                             # Default flags for C preprocessor
FCOPT= -O -qREALSIZE=4 -qINTSIZE=4
                                             # Fortran optimization flags
FCHEK= -u
                                             # Fortran checking flags
L= prj
                                             # File extension for Fortran lint
AR= ar
                                             # library archive command
ARFLAGS= rv
                                             # library archive options
LINPACK= -llinpk
                                             # LINPACK library option
XLIB= -lX11
                                             # X11 library option
RM=/bin/rm
                                             # Remove command
