      PROGRAM ATMSEP
C Driver for separate integration of ICAM atmospheric model
C Version 1.2 created 28 Apr 1996
C
      LOGICAL ERRFLG
      INTEGER IASTEP
      CHARACTER COMSTR*72, RUNNAM*5
      INTEGER IPART, IUNITR
      CHARACTER DIRSTR*72, OLDRUN*5
      INTEGER IOPART, NSAMPL, NSAVE
      LOGICAL SYNFLG
C
      INTEGER INTSTP, NSTEP, IPARTC, NPART
      CHARACTER DISVAR*12, CINTVL*72
C
      INTEGER I
C
      WRITE(*,*)   'COMSTR (communication option)?'
      READ(*,'(A)') COMSTR
      WRITE(*,*)   'DIRSTR (model parameter file directory)?'
      READ(*,'(A)') DIRSTR
      WRITE(*,*)'OLDRUN (old run name, blank for new/continuation run)?'
      READ(*,'(A)') OLDRUN
      WRITE(*,*)   'IOPART (old run part, if valid; 0 otherwise)?'
      READ(*,*)     IOPART
      WRITE(*,*)   'RUNNAM (run name, 5 characters)?'
      READ(*,'(A)') RUNNAM
      WRITE(*,*)   'IPART (run part; 0 for new/restart run)?'
      READ(*,*)     IPART
C
      WRITE(*,*) 'NSAMPL, NSAVE (sample/save frequencies)?'
      READ(*,*)   NSAMPL, NSAVE
      WRITE(*,*) 'SYNFLG (synchronous integration flag)?'
      READ(*,*)   SYNFLG
C
C     Reserve units 20-30 for use by atmospheric model
      IUNITR= 20
C     Initialize model integration
      CALL ATMBGN( ERRFLG, IASTEP, COMSTR, RUNNAM, IPART, IUNITR,
     1             DIRSTR, OLDRUN, IOPART, NSAMPL, NSAVE )
      IF (ERRFLG) STOP 'ERRFLG'
C
C     Initialize current part counter, and time-step number
      IPARTC= IPART
      NSTEP= IASTEP
C
C     (One jump to this statement)
C
  101 WRITE(*,*) 'NPART, INTSTP (no. of run parts, integration steps)?'
      READ(*,*) NPART, INTSTP
      IF (NPART .LE. 0) GOTO 199
      IF (IPARTC .GT. IPART) THEN
C       Save diagnostic file for previous part
        CALL ATMDIA
      ENDIF
C
C     Display parameters
      DISVAR= ' '
      CINTVL= ' '
C
      IF (.NOT.SYNFLG .AND. (IASTEP .EQ. 0)) THEN
C       First time-step of asynchronous integration;
C       obtain initial SSTs from ocean model
        CALL ATMRUN( SYNFLG, 0, DISVAR, CINTVL, ERRFLG )
        IF (ERRFLG) STOP 'ERRFLG'
      ENDIF
C
      DO 190 I=1,NPART
C       Integrate atmospheric model
        NSTEP= NSTEP + INTSTP
        CALL ATMRUN( SYNFLG, NSTEP, DISVAR, CINTVL, ERRFLG )
        IF (ERRFLG) STOP 'ERRFLG'
C
C       Save diagnostic file for part, if not last part
        IF (I .LT. NPART) CALL ATMDIA
C
C       Increment current part counter
        IPARTC= IPARTC+1
C
  190   CONTINUE
      GOTO 101
C
C     (One jump to this statement)
C
C     Terminate model integration, and write save file
  199 CALL ATMEND
      STOP
      END

C --------------------------------------------------------------------
C For GNU Emacs:
C $Msg-digest-checksum: 03887021f02d218c9d27d85e380e6363 $
C --------------------------------------------------------------------
C Local Variables:
C msg-digest-active: t
C End:
C --------------------------------------------------------------------
