#ifdef DPRECISION
#   define REAL8 real
#else
#   define REAL8 real*8
#endif
      SUBROUTINE F04AEF(A,IA,B,IB,N,M,C,IC,WKSPCE,AA,IAA,BB,IBB,IFAIL)
c     Simulates Nag routine F04AEF using LINPACK routines, provided B
c     is the identity matrix and N.eq.M. i.e. It inverts a general
c     real square matrix A of order N, and returns the inverse C.
c     WKSPCE should be an array of dimension at least N. AA and BB
c     are not used. Unless the routine detects an error, IFAIL
c     contains 0 on exit.
c
      integer IA, IB, N, M, IC, IAA, IBB, IFAIL
      REAL8 A(IA,N), B(IB,M), C(IC,M), WKSPCE(N), AA(IAA,N), BB(IBB,N)
c
      integer inmax
      parameter (inmax=100)
      integer i, j, job, ipvt(inmax)
      REAL8 rcond, detmnt(2)
c
      if (N.gt.inmax) stop 'F04AEF'
c     Increase value of inmax if above statement is executed
c
c
      if (N.ne.M) then
        IFAIL=1
        return
      endif
c
      do 10 j=1,N
        do 10 i=1,N
   10     C(i,j)= A(i,j)
c
      call sgeco(C, IC, N, ipvt, rcond, WKSPCE)
      if (1.0+rcond.eq.1.0) then
        IFAIL=1
        return
      endif
c
      job= 01
      call sgedi(C, IC, N, ipvt, detmnt, WKSPCE, job)
c
      IFAIL=0
      return
      end

      SUBROUTINE F03AAF(A,IA,N,DET,WKSPCE,IFAIL)
c     Simulates Nag routine F03AAF using LINPACK routines. i.e. It
c     computes the determinant DET of a general real square matrix
c     A of order N. WKSPCE should be an array of dimension at least
c     N. Unless the routine detects an error, IFAIL contains 0 on
c     exit.
c **Note** This routine destroys the matrix A
c
      integer IA, N, IFAIL
      REAL8 A(IA,N), DET, WKSPCE(N)
c
      integer inmax
      parameter (inmax=100)
      integer job, ipvt(inmax)
      REAL8 rcond, detmnt(2)
c
      if (N.gt.inmax) stop 'F03AAF'
c     Increase value of inmax if above statement is executed
c
      call sgeco(A, IA, N, ipvt, rcond, WKSPCE)
      if (1.0+rcond.eq.1.0) then
        IFAIL=1
        return
      endif
c
      job= 10
      call sgedi(A, IA, N, ipvt, detmnt, WKSPCE, job)
c
      DET= detmnt(1) * 10.0**detmnt(2)
      IFAIL=0
      return
      end

C --------------------------------------------------------------------
C For GNU Emacs:
C $Msg-digest-checksum: 65eaed39739c8e0e61385e48b73b0624 $
C --------------------------------------------------------------------
C Local Variables:
C msg-digest-active: t
C End:
C --------------------------------------------------------------------
