C ICAM (Idealized Coupleable Atmospheric Model)
C icamsrc $Revision: 1.8 $ created $Date: 1996/05/02 21:31:03 $
C
C mcoef.h: Fortran include module
C Contains mean, annual/semi-annual harmonic coefficients for computing
C the SST and flux adjustments over each ocean grid-point.
C (initialized by GETCOF)
C
C [ SST (K), heat flux adjustments (W/m**2),
C   and E-P flux adjustment (kg/(s*m**2)):
C (suffix 0  => climatological-mean part
C         1A => amplitude of annual harmonic
C         2A => amplitude of semi-annual harmonic
C         1P => phase of annual harmonic
C         2P => phase of semi-annual harmonic )
C The phase corresponds to the time of maximum positive amplitude,
C and ranges from 0 to 1, with 0 corresponding to March 21 ]
C
C     SST coefficients
      REAL TSRF0, TSRF1A, TSRF2A, TSRF1P, TSRF2P
      COMMON/MSSTC/ TSRF0(K1MAX,K2MAX),
     1             TSRF1A(K1MAX,K2MAX), TSRF2A(K1MAX,K2MAX),
     2             TSRF1P(K1MAX,K2MAX), TSRF2P(K1MAX,K2MAX)
C     Heat/E-P flux adjustment coefficients
      REAL OTFA0, OTFA1A, OTFA2A, OTFA1P, OTFA2P
      REAL OSFA0, OSFA1A, OSFA2A, OSFA1P, OSFA2P
      COMMON/MFADJ/ OTFA0(K1MAX,K2MAX),  OSFA0(K1MAX,K2MAX),
     1              OTFA1A(K1MAX,K2MAX), OSFA1A(K1MAX,K2MAX),
     2              OTFA1P(K1MAX,K2MAX), OSFA1P(K1MAX,K2MAX),
     3              OTFA2A(K1MAX,K2MAX), OSFA2A(K1MAX,K2MAX),
     4              OTFA2P(K1MAX,K2MAX), OSFA2P(K1MAX,K2MAX)
 
