C ICAM (Idealized Coupleable Atmospheric Model)
C icamsrc $Revision: 1.8 $ created $Date: 1996/05/02 21:31:03 $
C
C mmain.h: Fortran include module
C Contains the main C preprocessor definitions
C
 
C Include the C preprocessor definitions for the SPLIB/PROGNOS modules
#ifndef MCONS
#   include "mcons.h"
#endif
 
 
C C preprocessor options
C
C  SLAB_OCEAN: If defined, couple atmosphere to an internal slab ocean
C               model, rather than to an external ocean model.
C
C  ZONAVG:     If defined, ocean basins are assumed to be
C               zonally-averaged
C
C  DIAGNOS:    If defined, horizontal sections can be saved through
C               the diagnostics module
C
C  MAXBAS:     Maximum number of (rectangular) ocean basins
C
C  JBMAX:      Maximum longitude index for atmospheric grid over
C               ocean basin (<=K1MAX)
C  KBMAX:      Maximum latitude index for atmospheric grid over
C              ocean basin (<=K2MAX)
C
C  JOMAX:      Maximum number of temperature grid-points in X-direction
C               in ocean basin (>= 1)
C  KOMAX:      Maximum number of temperature grid-points in Y-direction
C               in ocean basin (>= 2)
C  NFOCN:      Maximum number of fluxes passed from atmosphere to ocean
C             (Tau-x, Tau-y, heat flux, E-P, tracer fluxes)
C
 
#ifndef MAXBAS
#   define MAXBAS 1
#endif
#ifndef JBMAX
#  define JBMAX K1MAX
#endif
#ifndef KBMAX
#  define KBMAX K2MAX
#endif
#ifndef JOMAX
#   define JOMAX 1
#endif
#ifndef KOMAX
#   define KOMAX 65
#endif
#ifndef NFOCN
#   define NFOCN (3+NTRACE)
#endif
 
C
C Enumeration literals: 1=>X-surface-stress, 2=>Y-surface-stress,
C                       3=>heat-flux-into-surface, 4=>E-P
C        (in the oceanic context, E-P usually includes runoff as well)
C
#define JTAUX 1
#define JTAUY 2
#define JFS 3
#define JEMINP 4
C
C Enumeration literals: 1=>land-temperature, 2=>land-water-level
C
#define JLANT 1
#define JLANWL 2
C
C Enumeration literals: 1=>ice-temperature,  2=>ice-height
C
#define JICET 1
#define JICEHT 2
C
 
