C ICAM (Idealized Coupleable Atmospheric Model)
C icamsrc $Revision: 1.8 $ created $Date: 1996/05/02 21:31:03 $
C
C mstate.h: Fortran include module
C Contains the time-dependent model state
C
C Parts
C      1: Time-dependent information
C      2: Prognostic quantities
C
C ----------------------------------------------------------------------
C Part 1: Time-dependent information
C        (initialized by ATMINI/GETTIM, modified by ATMRUN)
C
C DTIM, TIM: current model time (in seconds)
C ISTEP:     model step count     (0,1,...)
C IPART:     model run part count (0,1,...), used for file names
C
C INIPRG: String describing model version used to initialize run
C INITIM: String describing the time when the run was initialized
C
      DOUBLE PRECISION DTIM
      REAL TIM
      INTEGER ISTEP, IPART
      COMMON/MSTIM0/ DTIM,
     1               TIM,
     2               ISTEP, IPART
C
      CHARACTER*72 INIPRG, INITIM
      COMMON/MSTIMC/ INIPRG, INITIM
C
C ----------------------------------------------------------------------
C Part 2: Prognostic quantities
C        (initialized by GETPGQ or INIPGQ, modified by ATMRUN)
C
C     (Time-level convention: 0-old, 1:current, 2:new)
C
C     Atmospheric prognostic quantities
C     ( JVOR: vorticity,        JDIV: divergence,
C       JPOT: pot. temperature, JTR1: sp. humidity, ...)
      COMPLEX PGQSP0, PGQSP1, PGQSP2
      COMMON/MPQATM/ PGQSP0(0:M1MAX,0:N1MAX,NPGQ,L1MAX),
     1               PGQSP1(0:M1MAX,0:N1MAX,NPGQ,L1MAX),
     2               PGQSP2(0:M1MAX,0:N1MAX,NPGQ,L1MAX)
C     Prognostic SST
      REAL SST0, SST1, SST2
      COMMON/MPQSST/ SST0(K1MAX,K2MAX), SST1(K1MAX,K2MAX),
     1               SST2(K1MAX,K2MAX)
C     Land prognostic quantities
C     (JLANT: temperature, JLANWL: water-level)
      REAL LAND0, LAND1, LAND2
      COMMON/MPQLAN/ LAND0(K1MAX,K2MAX,JLANT:JLANWL),
     1               LAND1(K1MAX,K2MAX,JLANT:JLANWL),
     2               LAND2(K1MAX,K2MAX,JLANT:JLANWL)
C     Ice mask and prognostic quantities
C     (JICET: temperature, JICEHT: height)
      LOGICAL ICEMSK
      COMMON/MPICE1/ ICEMSK(K1MAX,K2MAX)
      REAL ICE0, ICE1, ICE2
      COMMON/MPICE2/ ICE0(K1MAX,K2MAX,JICET:JICEHT),
     1               ICE1(K1MAX,K2MAX,JICET:JICEHT),
     2               ICE2(K1MAX,K2MAX,JICET:JICEHT)
 
